Subject: Re: bug#7363: Problems compiling newest Emacs 23.2.90 pretest with MSVC 10 Express

From: Eli Zaretskii <[email-masked]>
Date: Wed, 10 Nov 2010 07:47:30 -0500

> Date: Wed, 10 Nov 2010 12:58:12 +0100
> From: "Gomes, Pedro (NSN - PT/Amadora)" <[email-masked]>
> Cc: 
> 
> I'm having a lot of problems compiling Emacs 23.2.90 with MSVC 10
> Express. Are there already any already recepies/patches/hacks for it

MSVC 10 (actually MSVC 8.0 and later) is not supported, sorry.  See
nt/INSTALL.  MS modified their run-time libraries too extensively, in
particular in the area of memory management, and that screws up the
dumped Emacs too much.  With a MinGW port of GCC freely available and
fully supported, the motivation of Emacs maintainers to cater to MSVC
is below zero, so no one cared enough to overcome these problems.

> shall I dig deeper and provide some patches ?

I would suggest instead to install MinGW and use that.  Of course, if
you do decide to fix the MSVC build and provide patches to do that, we
will consider them for inclusion.  Thanks in advance.